Package com.smartgwt.client.widgets.calendar.events

# Class BackgroundClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<BackgroundClickHandler>
com.smartgwt.client.widgets.calendar.events.BackgroundClickEvent

All Implemented Interfaces:
  `Cancellable`

public class BackgroundClickEvent extends BrowserEvent<BackgroundClickHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackgroundClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default behavior of creating a new event at the selected location and showing its editor.
  `protected void`
  `dispatch(BackgroundClickHandler handler)`
  `static <S extends HasBackgroundClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<BackgroundClickHandler>`
  `getAssociatedType()`
  `Date`
  `getEndDate()`
  end datetime of the selected slot
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Date`
  `getStartDate()`
  start datetime of the selected slot
  `static GwtEvent.Type<BackgroundClickHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BackgroundClickEvent

    public BackgroundClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasBackgroundClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<BackgroundClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(BackgroundClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<BackgroundClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<BackgroundClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<BackgroundClickHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default behavior of creating a new event at the selected location and showing its editor.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getStartDate

    public Date getStartDate()
    start datetime of the selected slot
    Returns:
      start datetime of the selected slot

  - ### getEndDate

    public Date getEndDate()
    end datetime of the selected slot
    Returns:
      end datetime of the selected slot